on: [workflow_call]
jobs:
 prebuild:
  runs-on: [iso-builder]
  container: 
   image: catthehacker/ubuntu:act-22.04
   options: --privileged

  steps:
    -
     name: Checkout
     uses: actions/checkout@v4
    -
     name: Build builder image
     run: |
      eval $(ssh-agent -s)
      echo "${{ secrets.STORAGE_SSH_KEY }}" > ./id_rsa
      docker build --no-cache -f Dockerfile-builder -t builder:latest .
    
   